## libcitadel 8.24

=== lib/xdgmime/Makefile ===

CFLAGS=-Wall -Wmissing-prototypes  -Wno-sign-compare -g -DXDG_PREFIX=xdg_test -DHAVE_MMAP

all: test-mime test-mime-data

test-mime: xdgmime.o xdgmimeglob.o xdgmimeint.o xdgmimemagic.o xdgmimealias.o xdgmimeparent.o xdgmimecache.o

test-mime-data: xdgmime.o xdgmimeglob.o xdgmimeint.o xdgmimemagic.o xdgmimealias.o xdgmimeparent.o xdgmimecache.o

clean:
	rm -f *~ *.o test-mime

## libcitadel 917

=== debian/changelog ===
libcitadel (917-5) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 21:32:13 +0000

libcitadel (917-4) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007403).
  * Use debhelper-compat level 12 (11 is deprecated).

 -- Bastian Germann <bage@debian.org>  Thu, 25 Aug 2022 13:43:52 +0200

libcitadel (917-3) unstable; urgency=medium

  * Orphaning package
  * Point VCS information to salsa.

 -- Michael Meskes <meskes@debian.org>  Thu, 11 Jul 2019 19:28:32 +0200

libcitadel (917-2) unstable; urgency=medium

  * Re-added rules target that was lost in the last version. (Closes: #886434)

 -- Michael Meskes <meskes@debian.org>  Sat, 06 Jan 2018 09:54:15 +0100

libcitadel (917-1) unstable; urgency=medium

  * Updated watch file to new manifest.
  * New upstream version 917
  * Added hardening options.
  * Added symbols file.

 -- Michael Meskes <meskes@debian.org>  Fri, 05 Jan 2018 13:53:54 +0100

libcitadel (916-1) unstable; urgency=medium

  * New upstream version 916
  * Bumped Standards-Version to 4.1.3, no changes needed.
  * Switched priority from extra to optional.
  * Switch to latest debhelper version.
  * Removed rules stanza for binary independent packages.
  * Made package multiarch aware.

 -- Michael Meskes <meskes@debian.org>  Tue, 02 Jan 2018 10:53:59 +0100

libcitadel (904-1) unstable; urgency=medium

  * New upstream version 904

 -- Michael Meskes <meskes@debian.org>  Sat, 03 Jun 2017 08:40:59 +0200

libcitadel (902-1) unstable; urgency=medium

  * Imported Upstream version 902
  * Bumped debhelper and standards version, no changes needed.
  * Make sure libcitadel.pc has a valid version number.

 -- Michael Meskes <meskes@debian.org>  Fri, 13 May 2016 10:35:58 +0200

libcitadel (9.01-1) unstable; urgency=medium

  * Imported Upstream version 9.01
  * Bumped Standards-Version to 3.9.6, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 18 Jun 2015 12:15:50 +0200

libcitadel (8.24-1) unstable; urgency=medium

  * Imported Upstream version 8.24
  * Bumped Standards-Version to 3.9.5, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 28 Jan 2014 09:54:15 +0100

libcitadel (8.22-1) unstable; urgency=low

  * Imported Upstream version 8.22
  * Update config.* files during build. (Closes: #727399)

 -- Michael Meskes <meskes@debian.org>  Mon, 04 Nov 2013 13:15:34 +0100

libcitadel (8.20-1) unstable; urgency=low

  * Imported Upstream version 8.20
  * Changed package name according to soname.

 -- Michael Meskes <meskes@debian.org>  Sat, 24 Aug 2013 11:28:03 +0200

libcitadel (8.16-1) unstable; urgency=low

  * Imported Upstream version 8.16
  * Bumped Standards-Version to 3.9.4, no changes needed.
  * Added hardening build flags.

 -- Michael Meskes <meskes@debian.org>  Sun, 10 Mar 2013 11:38:23 +0100

libcitadel (8.14-2) unstable; urgency=low

  [ Wilfried Goesgens ]
  * Add upstream patch to null terminate string

  [ Michael Meskes ]
  * Updated configure.in from upstream

 -- Wilfried Goesgens <dothebart@citadel.org>  Tue, 27 Nov 2012 12:15:38 +0100

libcitadel (8.14-1) unstable; urgency=low

  * Imported Upstream version 8.14

 -- Michael Meskes <meskes@debian.org>  Fri, 20 Jul 2012 20:38:04 +0200

libcitadel (8.12-1) unstable; urgency=low

  * Imported Upstream version 8.12

 -- Michael Meskes <meskes@debian.org>  Thu, 28 Jun 2012 10:40:18 +0200

libcitadel (8.11-2) unstable; urgency=low

  * Applied upstream's patch to fix compilation problem on kFreeBSD.
    (Closes: #675841)

 -- Michael Meskes <meskes@debian.org>  Tue, 05 Jun 2012 11:30:24 +0200

libcitadel (8.11-1) unstable; urgency=low

  * Adjusted watch file for new url.
  * Imported Upstream version 8.11

 -- Michael Meskes <meskes@debian.org>  Fri, 25 May 2012 11:28:54 +0200

libcitadel (8.05-1) unstable; urgency=low

  * Imported Upstream version 8.05
  * Bumped Standards-Version to 3.9.3, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sat, 17 Mar 2012 20:13:04 +0100

libcitadel (8.04-1) unstable; urgency=low

  * New upstream version
  * Added build-arch and build-indep targets to rules file.
  * Removed {...} braces from debhelper file.

 -- Michael Meskes <meskes@debian.org>  Thu, 12 Jan 2012 12:31:46 +0100

libcitadel (7.86-1) unstable; urgency=low

  * Imported Upstream version 7.86
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 24 Apr 2011 21:54:36 +0200

libcitadel (7.84-1) unstable; urgency=low

  * New Upstream version 7.84

 -- Michael Meskes <meskes@debian.org>  Fri, 10 Sep 2010 11:34:30 +0200

libcitadel (7.83-1) unstable; urgency=low

  * New Upstream version 7.83
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 17 Aug 2010 09:54:13 +0200

libcitadel (7.81-1) unstable; urgency=low

  * New Upstream version 7.81
  * Bumped Standards-Version to 3.9.0, no changes needed.
  * Added source/format file.
  * Updated copyright file.

 -- Michael Meskes <meskes@debian.org>  Wed, 21 Jul 2010 09:16:12 +0200

libcitadel (7.72-2) unstable; urgency=low

  * Added upstream patch to fix bug in RFC822 decoder.
  * Removed patch system with empty patches directory.

 -- Michael Meskes <meskes@debian.org>  Mon, 22 Feb 2010 09:55:21 +0100

libcitadel (7.72-1) unstable; urgency=low

  * New Upstream version.
  * Bumped Standards-Version to 3.8.4, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sat, 20 Feb 2010 17:59:33 +0100

libcitadel (7.71-1) unstable; urgency=high

  * New Upstream version.

 -- Michael Meskes <meskes@debian.org>  Wed, 06 Jan 2010 10:57:02 +0100

libcitadel (7.70-1) unstable; urgency=low

  * New Upstream version.

 -- Michael Meskes <meskes@debian.org>  Fri, 18 Dec 2009 09:29:06 +0100

libcitadel (7.66-1) unstable; urgency=low

  * New upstream version.



=== debian/control ===
Source: libcitadel
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/libcitadel
Vcs-Git: https://salsa.debian.org/debian/libcitadel.git
Homepage: https://www.citadel.org/

Package: libcitadel4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, shared-mime-info
Description: Citadel toolbox
 This library contains the commonly used routines for the citadel suite.

Package: libcitadel-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, pkg-config,
 libcitadel4 (= ${binary:Version})
Description: Development files for libcitadel4
 This library contains the commonly used routines for the citadel suite.
 .
 This package provides development files and static libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall

CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`

LDFLAGS = `dpkg-buildflags --get LDFLAGS`

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0 -ggdb -rdynamic -MD -MP -D DEBUG -D VALGRIND
	EXTRA_ARGS =  --with-backtrace
else
	CFLAGS += -O2
endif

ifneq (,$(findstring profiling,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -pg
	LDFLAGS += -pg
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	dh_update_autotools_config
	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-pkg-config-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		$(EXTRA_ARGS) \
		--prefix=/usr

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install*-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	-rm -f libcitadel.pc sysdep.h tests/Makefile config.log

	-rm -f debian/libcitadel4.install debian/libcitadel-dev.install
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/tmp install

	touch install-stamp

debian/%: debian/%.in
	sed -e 's/$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g' $< > $@

binary-arch: binary
binary-indep: binary

# Build architecture-dependent files here.
binary: build install debian/libcitadel4.install debian/libcitadel-dev.install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=4

https://easyinstall.citadel.org/manifest.html libcitadel-([\d\S]+).tar.gz
